require('dotenv').config();
const express = require("express");
const { postgraphile } = require("postgraphile");

const app = express();

const postgraphileOptions = {
  watchPg: true,
  graphiql: true,
  enhanceGraphiql: true,
};

console.log('database url: ', process.env.DATABASE_URL);

/**
 * pass the database URL to PostGraphile for it to bootstrap the application
 */
app.use(postgraphile(process.env.DATABASE_URL, "zvbn_nvp", postgraphileOptions));

console.log('port: ', process.env.PORT);
app.listen(process.env.PORT);
